Package edu.claflin.finder.algo.clustering

# Class Walktrap.MutualConnectionsRecord

java.lang.Object
edu.claflin.finder.algo.clustering.Walktrap.MutualConnectionsRecord

Enclosing class:
  Walktrap

private class Walktrap.MutualConnectionsRecord extends Object
Stores the delta sigmas between a Community C connected to community 1 or community 2. "or" because C may only be connected to 1 or both. C c1sigma / \ c2sigma C1 C2

Author:
  Adolfo Perera

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private double`
  `c1sigma`
  `private double`
  `c2sigma`
  `private int`
  `mutual_index`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MutualConnectionsRecord(int m)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `double`
  `get_c1sigma()`
  `double`
  `get_c2sigma()`
  `int`
  `get_mutual_index()`
  `boolean`
  `hasc1()`
  `boolean`
  `hasc2()`
  `int`
  `hashCode()`
  `void`
  `setc1(double sigma)`
  `void`
  `setc2(double sigma)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mutual_index

    private int mutual_index

  - ### c1sigma

    private double c1sigma

  - ### c2sigma

    private double c2sigma

- ## Constructor Details

  - ### MutualConnectionsRecord

    public MutualConnectionsRecord(int m)

- ## Method Details

  - ### get_mutual_index

    public int get_mutual_index()

  - ### get_c1sigma

    public double get_c1sigma()

  - ### get_c2sigma

    public double get_c2sigma()

  - ### setc1

    public void setc1(double sigma)

  - ### setc2

    public void setc2(double sigma)

  - ### hasc1

    public boolean hasc1()

  - ### hasc2

    public boolean hasc2()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`